/// <reference types="vite/client" />

declare module '*.vue' {
  import type { DefineComponent } from 'vue'
  const component: DefineComponent<{}, {}, any>
  export default component
}

interface LeaderLine {
  new(x: unknown, y: unknown)
}

interface Window {
  GLOBAL_CONFIG: {
    api: string;
    oss: string;
  },
  LeaderLine: any
}
